1. Watchlists
Qeep
  • Screening
    • Screen transaction
      POST
    • Get screening result by ID
      GET
    • Rescreen transaction
      POST
    • List screening requests
      GET
    • Record screening outcome
      POST
  • Watchlists
    • Entries
      • Add watchlist entry
      • List watchlist entries
      • Remove watchlist entry
      • Export watchlist entries
      • Bulk import watchlist entries
    • Jobs
      • Cancel a watchlist import job
      • Get watchlist import job
      • List watchlist import jobs
      • Sync watchlist
    • List watchlists
      GET
    • Create watchlist
      POST
    • Update watchlist
      PATCH
  • Schemas
    • ValidationErrorDetail
    • RecordOutcome
    • ErrorDetails
    • ApiErrorResponse
    • ScreeningResult
    • Watchlist
    • ScreenTransaction
    • CreateWatchlist
    • ScreeningRequestsList
    • WatchlistsList
    • Rescreen
    • UpdateWatchlist
    • WatchlistEntriesList
    • WatchlistEntry
    • AddEntry
    • RemoveWatchlistEntry
    • SyncWatchlist
    • WatchlistImportJob
    • WatchlistExport
    • WatchlistImportJobsList
  1. Watchlists

Create watchlist

POST
/v1/txn-monitoring/lists
Creates a new watchlist with a name, source, and list type for screening purposes.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠400
🟠401
🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.qeeptech.com/v1/txn-monitoring/lists' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "name": "string",
    "description": "string",
    "source": "OFAC_SDN",
    "listType": "SANCTIONS",
    "syncScheduleCron": "string"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "data": {
        "id": "string",
        "tenantId": "string",
        "name": "string",
        "description": "string",
        "source": "string",
        "listType": "string",
        "isActive": true,
        "entryCount": 0,
        "syncStatus": "string",
        "matchThreshold": "string",
        "importInProgress": true,
        "activeImportJobId": "string",
        "syncScheduleCron": "string",
        "lastSyncedAt": "string",
        "createdAt": "string",
        "updatedAt": "string"
    },
    "message": "string",
    "meta": {
        "timestamp": "2019-08-24T14:15:22.123Z",
        "requestId": "string",
        "traceId": "string",
        "spanId": "string",
        "path": "string",
        "pagination": {
            "page": 0,
            "limit": 0,
            "total": 0,
            "totalPages": 0,
            "hasNext": true,
            "hasPrevious": true
        }
    }
}
Modified at 2026-08-02 23:21:20
Previous
List watchlists
Next
Update watchlist
Built with